Subject: Re: bug#49062: 27.2; "Ref found in non-versioned section in "NEWS.22"

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Jun 2021 14:13:49 +0200

Stefan Monnier <[email-masked]> writes:

> Lars Ingebrigtsen [2021-06-19 15:38:09] wrote:
>> Drew Adams <[email-masked]> writes:
>>> 3. C-h v a
>>>
>>> You get this ephemeral message (check *Messages*):
>>>
>>>  Ref found in non-versioned section in "NEWS.22"
>
> I don't see this here.  I assume there was a RET at the end of `C-h
> v a`, but hitting RET there just pops up the *Completions* display.

Ah, I didn't include the entire test case -- we defined a command called
`a' first.

>> Yes, perhaps that message isn't interesting for this command and should
>> be removed?  Stefan?
>
> The message is meant to help us fix the NEWS* files so that the code
> that searches them gives relevant answers.  IOW it's supposed to point
> out a (minor) "bug".

For very short commands, it's probably not a useful warning, though?
Perhaps...  we could disable the warning if there's no hyphen in the
symbol we're searching for?  Or...  something else.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no